{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":519,"path":"api-reference/rest-apis/integrations-api.md","title":"Install Base Item API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Install Base Item API\n\nThe Install Base Item API provides endpoints to access and manage install base items records within a ServiceNow instance.\n\nAn install base item represents an instance of a product that has been configured for a customer. Install base items enable you to track all purchases made by a customer.\n\nYou can also perform CRUD operations on the Install Base Related Parties related list using this API. In addition, you can read records in other install base items related lists, such as cases, contracts, entitlements, maintenance plans, sold products, and work orders.\n\nTo access this API you must have either the sn\\_install\\_base.ib\\_api\\_write or sn\\_install\\_base.ib\\_api\\_read role depending on the type of CRUD action that you are trying to perform.\n\nTo access the various endpoints in this API the following plugins must be installed:\n\n-   Customer Service Install Base Management \\(com.snc.install\\_base\\)\n-   Planned Work Management \\(sn\\_fsm\\_planned\\_wm\\) if you want to retrieve maintenance plan and work order data.\n\nThis API runs in the `sn_install_base` namespace.\n\n**Note:** This API only returns non-empty fields in the endpoint responses. Also, none of the system level fields \\(those prefaced with \"sys\\_\"\\) are returned except the sys\\_id field.\n\nFor additional information on install base items, see [Create an install base item](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/customer-service-management/create-install-base-item.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Install Base Item - DELETE /sn\\_install\\_base/integrations/installbaseitems/\\{id\\}/relatedparties/\\{related\\_party\\_sys\\_id\\}\n\nDisassociates a specified related parties record from a specified install base item record.\n\n### URL format\n\nVersioned URL: `/api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/relatedparties/{related_party_sys_id}`\n\nDefault URL: `/api/sn_install_base/integrations/installbaseitems/{id}/relatedparties/{related_party_sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td id=\"integrate-id-entry\">\n\nSys\\_id of the install base item record.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr><tr><td>\n\nrelated\\_party\\_sys\\_id\n\n</td><td id=\"related_party_sys_id-integrate-entry\">\n\nSys\\_id of the related party record.Data type: String\n\nTable: Install Base Related Party \\[sn\\_install\\_base\\_related\\_party\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|403|Forbidden. The user doesn't have access rights to the specified record.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_zk1_w5w_ywb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"error-integration-row\"><td>\n\nerror\n\n</td><td id=\"error-integration-entry\">\n\nDetails about the error that occurred when trying to process the request.Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr id=\"error_detail-integration-row\"><td>\n\nerror.detail\n\n</td><td id=\"error_detail-integration-entry\">\n\nAdditional details about the associated error.Data type: String\n\n</td></tr><tr id=\"error_message-integration-row\"><td>\n\nerror.message\n\n</td><td id=\"error_message-integration-entry\">\n\nError message that describes the problem that occurred when trying to execute the request.Data type: String\n\n</td></tr><tr id=\"result-integration-row\"><td>\n\nresult\n\n</td><td id=\"result-integration-entry\">\n\nDescription of the endpoint results.Data type: Object\n\n</td></tr><tr><td>\n\nresult.status\n\n</td><td>\n\nStatus of the endpoint request. Possible values:\n\n-   SUCCESS\n-   FAILURE\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/f77c7542b7343300ece839a6ee11a991/relatedparties/2a42dfae872521100b6afc86dabb356b\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"status\": \"SUCCESS\"\n  }\n}\n```\n\n## Install Base Item - GET /sn\\_install\\_base/integrations/installbaseitems\n\nReturns all install base items. You can pass parameters within the call to filter the return results.\n\n### URL format\n\nVersioned URL: `/api/sn_install_base/{api_version}/integrations/installbaseitems`\n\nDefault URL: `/api/sn_install_base/integrations/installbaseitems`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfield name-value pairs\n\n</td><td>\n\nField-value pairs to use to filter the install base item records. If you specify a different table in **sys\\_class\\_name**, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.\n\nFor example, to return only records where the state field is set to \"in\\_use\" and the status field is set to \"replacement\", pass the follow: `&state=in_use&status=replacement`.\n\nData type: String\n\nDefault: All fields\n\nTable: Install Base Item \\[sn\\_istall\\_base\\_item\\]\n\n</td></tr><tr><td>\n\nrelated\\_party\n\n</td><td>\n\nSys\\_id of a related party record.Filters the install base item records based on the specified related party. A related party can be linked to an install base item or a sold product.\n\nValid values:\n\n-   account sys\\_id: Located in the Account \\[customer\\_account\\] table.\n-   consumer sys\\_id: Located in the Consumer \\[csm\\_consumer\\] table.\n-   contact sys\\_id: Located in the Contact \\[customer-contact\\] table.\n-   service organization sys\\_id: Located in the Service Organization \\[sn\\_customer\\_service\\_organization\\] table.\n-   user sys\\_id: Located in the User \\[sys-user\\] table.\n\nData type: String\n\nTable: Install Base Related Party \\[sn\\_install\\_base\\_related\\_party\\]\n\n</td></tr><tr><td>\n\nresponsibility\n\n</td><td>\n\nSys\\_id of the associated responsibility record. This record defines the access level for the install base information.This parameter is only valid if the **related\\_party** field is also specified. If specified, it only returns the install base items that match both the **related\\_party** and **responsibility** parameters.\n\nFor additional information, see [Configure related parties for Items Received](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/government-industry/psds-add-related-parties-to-record.md).\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td>\n\nIf the desired records are in a table that extends the Install Base Items \\[sn\\_install\\_base\\_item\\] table, the name of the extended table to query.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td id=\"sysparm_limit-entry-RESTAPI\">\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm_offset-entry-RESTAPI\">\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|403|Forbidden. The user doesn't have access rights to the specified record.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\nThe following return results only describe the return values for records returned from the Install Base Items \\[sn\\_install\\_base\\_items\\] table.\n\n<table id=\"id_qgj_jg2_zwb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nerror\n\n</td><td>\n\nDetails about the error that occurred when trying to process the request.Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerror.detail\n\n</td><td>\n\nAdditional details about the associated error.Data type: String\n\n</td></tr><tr><td>\n\nerror.message\n\n</td><td>\n\nError message that describes the problem that occurred when trying to execute the request.Data type: String\n\n</td></tr><tr id=\"has_more-integration-row\"><td>\n\nhas\\_more\n\n</td><td id=\"has_more-integration-entry\">\n\nFlag that indicates whether there are more records in the table to return.Possible values:\n\n-   true: More records to return.\n-   false: No more records to return.\n\nData type: Boolean string\n\n</td></tr><tr><td>\n\nitems\n\n</td><td>\n\nList of the install base items that matched the specified filter results.Data type: Array of Objects\n\n```\n\"items\":[\n  {\n    \"account\": {Object},\n    \"active\": \"String\",\n    \"asset\": {Object},\n    \"configuration_item\": {Object},\n    \"consumer\": {Object},\n    \"consumer_profile\": {Object},\n    \"contact\": {Object},\n    \"health_status\": {Object},\n    \"health_status_last_updated\": \"String\",\n    \"household\": {Object},\n    \"install_date\": {Object},\n    \"location\": {Object},\n    \"name\": \"String\",\n    \"number\": \"String\",\n    \"parent\": {Object},\n    \"product\": {Object},\n    \"service_context\": {Object},\n    \"service_organization\" {Object},\n    \"sys_class_name\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_mod_count\": \"String\",\n    \"state\": {Object},\n    \"status\": {Object},\n    \"uninstall_date\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"account-integration-row\"><td>\n\nitems.account\n\n</td><td id=\"account-integration-entry\">\n\nDetails about the customer account associated with the install base item record.Data type: Object\n\n```\n\"account\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"account_display_value-integration-row\"><td>\n\nitems.account.display\\_value\n\n</td><td id=\"account_display_value-integration-entry\">\n\nText name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String\n\n</td></tr><tr id=\"account_sys_id-integration-row\"><td>\n\nitems.account.sys\\_id\n\n</td><td id=\"account_sys_id-integration-entry\">\n\nSys\\_id of the customer account record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"active-integration-row\"><td>\n\nitems.active\n\n</td><td id=\"active-integration-entry\">\n\nFlag that indicates whether the install base item is active.Possible values:\n\n-   true: Install base item is active.\n-   false: Install base item is inactive.\n\nData type: Boolean String\n\n</td></tr><tr id=\"asset-integration-row\"><td>\n\nitems.asset\n\n</td><td id=\"asset-integration-entry\">\n\nDetails about the asset associated with the install base item record.Data type: Object\n\n```\n\"asset\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"asset_display_value-integration-row\"><td>\n\nitems.asset.display\\_value\n\n</td><td id=\"asset_display_value-integration-entry\">\n\nText name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String\n\n</td></tr><tr id=\"asset_sys_id-integration-row\"><td>\n\nitems.asset.sys\\_id\n\n</td><td id=\"asset_sys_id-integration-entry\">\n\nSys\\_id of the asset record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"configuration_item-integration-row\"><td>\n\nitems.configuration\\_item\n\n</td><td id=\"configuration_item-integration-entry\">\n\nDetails about the configuration item associated with the install base item record.Data type: Object\n\n```\n\"configuration_item\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"configuration_item_display_value-integration-row\"><td>\n\nitems.configuration\\_item.display\\_value\n\n</td><td id=\"configuration_item_display_value-integration-entry\">\n\nText name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String\n\n</td></tr><tr id=\"configuration_item_sys_id-integration-row\"><td>\n\nitems.configuration\\_item.sys\\_id\n\n</td><td id=\"configuration_item_sys_id-integration-entry\">\n\nSys\\_id of the configuration item record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"consumer-integration-row\"><td>\n\nitems.consumer\n\n</td><td id=\"consumer-integration-entry\">\n\nDetails about the consumer associated with the install base item record.**Note:** The consumer field is only available if the B2B2C plugin is installed.\n\nData type: Object\n\n```\n\"consumer\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"consumer_display_value-integration-row\"><td>\n\nitems.consumer.display\\_value\n\n</td><td id=\"consumer_display_value-integration-entry\">\n\nText name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String\n\n</td></tr><tr id=\"consumer_sys_id-integration-row\"><td>\n\nitems.consumer.sys\\_id\n\n</td><td id=\"consumer_sys_id-integration-entry\">\n\nSys\\_id of the consumer record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"consumer_profile-integration-row\"><td>\n\nitems.consumer\\_profile\n\n</td><td id=\"consumer_profile-integration-entry\">\n\nDetails about the consumer profile associated with the install base item record.**Note:** The consumer profile field is only available if the B2B2C plugin is installed.\n\nData type: Object\n\n```\n\"consumer_profile\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"consumer_profile_display_value-integration-row\"><td>\n\nitems.consumer\\_profile.display\\_value\n\n</td><td id=\"consumer_profile_display_value-integration-entry\">\n\nText name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String\n\n</td></tr><tr id=\"consumer_profile_sys_id-integration-row\"><td>\n\nitems.consumer\\_profile.sys\\_id\n\n</td><td id=\"consumer_profile_sys_id-integration-entry\">\n\nSys\\_id of the consumer profile record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"contact-integration-row\"><td>\n\nitems.contact\n\n</td><td id=\"contact-integration-entry\">\n\nDetails about the account contact responsible for the install base item record.Data type: Object\n\n```\n\"contact\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"contact_display_value-integration-row\"><td>\n\nitems.contact.display\\_value\n\n</td><td id=\"contact_display_value-integration-entry\">\n\nText name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String\n\n</td></tr><tr id=\"contact_sys_id-integration-row\"><td>\n\nitems.contact.sys\\_id\n\n</td><td id=\"contact_sys_id-integration-entry\">\n\nSys\\_id of the account contact record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"health_status-integration-row\"><td>\n\nitems.health\\_status\n\n</td><td id=\"health_status-integration-entry\">\n\nDetails about the current health status of the install base item. Only returned if the Proactive Customer Service Operations \\(com.snc.proactive\\_cs\\_itom\\) plugin is installed.Data type: Object\n\n```\n\"health_status\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"health_status_display_value-integration-row\"><td>\n\nitems.health\\_status.display\\_value\n\n</td><td id=\"health_status_display_value-integration-entry\">\n\nText string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String\n\n</td></tr><tr id=\"health_status_value-integration-row\"><td>\n\nitems.health\\_status.value\n\n</td><td id=\"health_status_value-integration-entry\">\n\nInternal value of the health status of the install base item.Data type: String\n\n</td></tr><tr id=\"health_status_last_updated-integration-row\"><td>\n\nitems.health\\_status\\_last\\_updated\n\n</td><td id=\"health_status_last_updated-integration-entry\">\n\nDate and time when the health status was last updated for the install base item.Data type: String\n\n</td></tr><tr id=\"household-integration-row\"><td>\n\nitems.household\n\n</td><td id=\"household-integration-entry\">\n\nDetails about the household associated with the install base item record. Only returned if the Customer Household Data Model \\(com.snc.household\\) plugin is installed.Data type: Object\n\n```\n\"household\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"household_display_value-integration-row\"><td>\n\nitems.household.display\\_value\n\n</td><td id=\"household_display_value-integration-entry\">\n\nText name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String\n\n</td></tr><tr id=\"household_sys_id-integration-row\"><td>\n\nitems.household.sys\\_id\n\n</td><td id=\"household_sys_id-integration-entry\">\n\nSys\\_id of the household associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"install_date-integration-row\"><td>\n\nitems.install\\_date\n\n</td><td id=\"install_date-integration-entry\">\n\nDetails about the date when the install base item became active.Data type: Object\n\n```\n\"install_date\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"install_date_isplay_value-integration-row\"><td>\n\nitems.install\\_date.display\\_value\n\n</td><td id=\"install_date_display_value-integration-entry\">\n\nText install date. Use this value to display the install date in the UI.Data type: String\n\n</td></tr><tr id=\"install_date_value-integration-row\"><td>\n\nitems.install\\_date.value\n\n</td><td id=\"install_date_value-integration-entry\">\n\nInternal value of the install date.Data type: String\n\n</td></tr><tr id=\"location-integration-row\"><td>\n\nitems.location\n\n</td><td id=\"location-integration-entry\">\n\nDetails about the location of the install base item.Data type: Object\n\n```\n\"location\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"location_display_value-integration-row\"><td>\n\nitems.location.display\\_value\n\n</td><td id=\"location_display_value-integration-entry\">\n\nText name of the install base item location. Use this value to display the location name in the UI.Data type: String\n\n</td></tr><tr id=\"location_sys_id-integration-row\"><td>\n\nitems.location.sys\\_id\n\n</td><td id=\"location_sys_id-integration-entry\">\n\nSys\\_id of the location record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"name-integration-row\"><td>\n\nitems.name\n\n</td><td id=\"name-integration-entry\">\n\nName of the install base item.Data type: String\n\n</td></tr><tr id=\"number-integration-row\"><td>\n\nitems.number\n\n</td><td id=\"number-integration-entry\">\n\nUnique ID of the install base item.Data type: String\n\n</td></tr><tr id=\"parent-integration-row\"><td>\n\nitems.parent\n\n</td><td id=\"parent-integration-entry\">\n\nDetails about the parent record of the install base item record.Data type: Object\n\n```\n\"parent\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"parent_display_value-integration-row\"><td>\n\nitems.parent.display\\_value\n\n</td><td id=\"parent_display_value-integration-entry\">\n\nText name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String\n\n</td></tr><tr id=\"parent_sys_id-integration-row\"><td>\n\nitems.parent.sys\\_id\n\n</td><td id=\"parent_sys_id-integration-entry\">\n\nSys\\_id of the parent record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"product-integration-row\"><td>\n\nitems.product\n\n</td><td id=\"product-integration-entry\">\n\nDetails about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object\n\n```\n\"product\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"product_display_value-integration-row\"><td>\n\nitems.product.display\\_value\n\n</td><td id=\"product_display_value-integration-entry\">\n\nText name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String\n\n</td></tr><tr id=\"product_sys_id-integration-row\"><td>\n\nitems.product.sys\\_id\n\n</td><td id=\"product_sys_id-integration-entry\">\n\nSys\\_id of the product model record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"service_context-integration-row\"><td>\n\nitems.service\\_context\n\n</td><td id=\"service_context-integration-entry\">\n\nDetails about the service context associated with the install base item record.Data type: Object\n\n```\n\"service_context\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"service_context_display_value-integration-row\"><td>\n\nitems.service\\_context.display\\_value\n\n</td><td id=\"service_context_display_value-integration-entry\">\n\nText name of the service context associated with the install base item record. Use this value to display the service context name in the UI.Data type: String\n\n</td></tr><tr id=\"service_context_sys_id-integration-row\"><td>\n\nitems.service\\_context.sys\\_id\n\n</td><td id=\"service_context_sys_id-integration-entry\">\n\nSys\\_id of the service context record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"service_organization-integration-row\"><td>\n\nitems.service\\_organization\n\n</td><td id=\"service_organization-integration-entry\">\n\nDetails about the service organization associated with the install base item record. Only returned if the Service Organization \\(com.snc.service\\_organization\\) plugin is installed.Data type: Object\n\n```\n\"service_organization\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"service_organization_display_value-integration-row\"><td>\n\nitems.service\\_organization.display\\_value\n\n</td><td id=\"service_organization_display_value-integration-entry\">\n\nText name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String\n\n</td></tr><tr id=\"service_organization_sys_id-integration-row\"><td>\n\nitems.service\\_organization.sys\\_id\n\n</td><td id=\"service_organization_sys_id-integration-entry\">\n\nSys\\_id of the service organization record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"sys_class_name-integration-row\"><td>\n\nitems.sys\\_class\\_name\n\n</td><td id=\"sys_class_name-integration-entry\">\n\nTable containing the install base item record.Data type: String\n\n</td></tr><tr id=\"sys_id-integration-row\"><td>\n\nitems.sys\\_id\n\n</td><td id=\"sys_id-integration-entry\">\n\nSys\\_id of the install base item record. Located in the table specified in the **sys\\_class\\_name** parameter.Data type: String\n\n</td></tr><tr id=\"sys_mod_count-integration-row\"><td>\n\nitems.sys\\_mod\\_count\n\n</td><td id=\"sys_mod_count-integration-entry\">\n\nNumber of times that the associated install base item record has been modified.Data type: String\n\n</td></tr><tr id=\"state-integration-row\"><td>\n\nitems.state\n\n</td><td id=\"state-integration-entry\">\n\nDetails about the current state of the install base item.Data type: Object\n\n```\n\"state\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"state_display_value-integration-row\"><td>\n\nitems.state.display\\_value\n\n</td><td id=\"state_display_value-integration-entry\">\n\nText string of the current state of the install base item. Use this value to display the state in the UI.Data type: String\n\n</td></tr><tr id=\"state_value-integration-row\"><td>\n\nitems.state.value\n\n</td><td id=\"state_value-integration-entry\">\n\nInternal value of the state of the install base item.Data type: String\n\n</td></tr><tr id=\"status1-integration-row\"><td>\n\nitems.status\n\n</td><td id=\"status1-integration-entry\">\n\nDetails about the status of the install base item.Data type: Object\n\n```\n\"status\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"status1_display_value-integration-row\"><td>\n\nitems.status.display\\_value\n\n</td><td id=\"status1_display_value-integration-entry\">\n\nText string of the status of the install base item. Use this value to display the status in the UI.Data type: String\n\n</td></tr><tr id=\"status1_value-integration-row\"><td>\n\nitems.status.value\n\n</td><td id=\"status1_value-integration-entry\">\n\nInternal value of the status of the install base item.Data type: String\n\n</td></tr><tr id=\"uninstall_date-integration-row\"><td>\n\nitems.uninstall\\_date\n\n</td><td id=\"uninstall_date-integration-entry\">\n\nDetails about the date when the install base item became inactive.Data type: Object\n\n```\n\"uninstall_date\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"uninstall_date_display_value-integration-row\"><td>\n\nitems.uninstall\\_date.display\\_value\n\n</td><td id=\"uninstall_date_display_value-integration-entry\">\n\nText uninstall date. Use this value to display the uninstall date in the UI.Data type: String\n\n</td></tr><tr id=\"uninstall_date_value-integration-row\"><td>\n\nitems.uninstall\\_date.value\n\n</td><td id=\"uninstall_date_value-integration-entry\">\n\nInternal value of the uninstall date.Data type: String\n\n</td></tr><tr id=\"status-integration-row\"><td>\n\nstatus\n\n</td><td id=\"status-integration-entry\">\n\nStatus of the endpoint call.Data type: String\n\n</td></tr><tr id=\"sysparm_depth-integration-row\"><td>\n\nsysparm\\_depth\n\n</td><td id=\"sysparm_depth-integration-entry\">\n\nNumber of levels deep the returned child install base item is in the hierarchy.Data type: Integer\n\n</td></tr><tr id=\"sysparm_limit-integration-row\"><td>\n\nsysparm\\_limit\n\n</td><td id=\"sysparm_limit-integration-entry\">\n\nNumber of records that were returned. If this value isn't specified in the original request, it uses the default value.Data type: Number\n\n</td></tr><tr id=\"sysparm_offset-integration-row\"><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm_offset-integration-entry\">\n\nOffset \\(starting point\\) in the associated table from which records were evaluated and retrieved.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows a simple call that only returns a single record starting at offset 5.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_install_base/v1/integrations/installbaseitems?sysparm_limit=1&sysparm_offset=5\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"sysparm_offset\": \"5\",\n    \"sysparm_limit\": 1,\n    \"has_more\": true,\n    \"items\": [\n      {\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM001100\",\n        \"sys_id\": \"181df7ff530a1110539dddeeff7b12f4\",\n        \"state\": {\n          \"value\": \"in_use\",\n          \"display_value\": \"In Use\"\n        },\n        \"sys_mod_count\": \"2\",\n        \"active\": \"true\",\n        \"configuration_item\": {\n          \"sys_id\": \"62446ae8535e5510539dddeeff7b12db\",\n          \"display_value\": \"boxeoproderp\"\n        },\n        \"name\": \"boxeoproderp\",\n        \"account\": {\n          \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n          \"display_value\": \"Boxeo\"\n        }\n      }\n    ],\n    \"status\": \"SUCCESS\"\n  }\n}\n```\n\n### cURL request\n\nThe following code example shows how to search for the fields **state** = \"in\\_use\" and **status** = \"replacement\" within the Install Base Item table.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems?state=in_use&status=replacement\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"sysparm_offset\": \"0\",\n    \"sysparm_limit\": \"10\",\n    \"has_more\": false,\n    \"items\": [\n      {\n        \"parent\": {\n          \"sys_id\": \"ffd023f453de9910539dddeeff7b1264\",\n          \"display_value\": \"Point of Sale System\"\n        },\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM001140\",\n        \"sys_id\": \"a1a123745312d910539dddeeff7b127b\",\n        \"state\": {\n          \"value\": \"in_use\",\n          \"display_value\": \"In Use\"\n        },\n        \"install_date\": {\n          \"value\": \"2018-12-14 07:00:00\",\n          \"display_value\": \"2018-12-13 23:00:00\"\n        },\n        \"product\": {\n          \"sys_id\": \"2dd1e7b753421110539dddeeff7b12d1\",\n          \"display_value\": \"Stand\"\n        },\n        \"active\": \"true\",\n        \"name\": \"Stand\",\n        \"service_organization\": {\n          \"sys_id\": \"42b51f5ab3401010700b4d43c6a8dc5a\",\n          \"display_value\": \"LA City Center - West\"\n        },\n        \"status\": {\n          \"value\": \"replacement\",\n          \"display_value\": \"Replacement\"\n        }\n      },\n      {\n        \"parent\": {\n          \"sys_id\": \"ffd023f453de9910539dddeeff7b1264\",\n          \"display_value\": \"Point of Sale System\"\n        },\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM001139\",\n        \"sys_id\": \"d0916bb05312d910539dddeeff7b1232\",\n        \"state\": {\n          \"value\": \"in_use\",\n          \"display_value\": \"In Use\"\n        },\n        \"install_date\": {\n          \"value\": \"2018-12-14 07:00:00\",\n          \"display_value\": \"2018-12-13 23:00:00\"\n        },\n        \"product\": {\n          \"sys_id\": \"dfc127b753421110539dddeeff7b12ac\",\n          \"display_value\": \"Register\"\n        },\n        \"active\": \"true\",\n        \"name\": \"Register\",\n        \"service_organization\": {\n          \"sys_id\": \"42b51f5ab3401010700b4d43c6a8dc5a\",\n          \"display_value\": \"LA City Center - West\"\n        },\n        \"status\": {\n          \"value\": \"replacement\",\n          \"display_value\": \"Replacement\"\n        }\n      },\n      {\n        \"parent\": {\n          \"sys_id\": \"ffd023f453de9910539dddeeff7b1264\",\n          \"display_value\": \"Point of Sale System\"\n        },\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM001141\",\n        \"sys_id\": \"ffb123745312d910539dddeeff7b12cb\",\n        \"state\": {\n          \"value\": \"in_use\",\n          \"display_value\": \"In Use\"\n        },\n        \"install_date\": {\n          \"value\": \"2018-12-14 07:00:00\",\n          \"display_value\": \"2018-12-13 23:00:00\"\n        },\n        \"product\": {\n          \"sys_id\": \"59e1e7b753421110539dddeeff7b12cc\",\n          \"display_value\": \"Terminal\"\n        },\n        \"active\": \"true\",\n        \"name\": \"Terminal\",\n        \"service_organization\": {\n          \"sys_id\": \"42b51f5ab3401010700b4d43c6a8dc5a\",\n          \"display_value\": \"LA City Center - West\"\n        },\n        \"status\": {\n          \"value\": \"replacement\",\n          \"display_value\": \"Replacement\"\n        }\n      }\n    ],\n    \"status\": \"SUCCESS\"\n  }\n}\n\n```\n\n### cURL request\n\nThe following code example shows how to filter the return results using the **related\\_party** and **responsibility** query parameters.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems?related_party=dc0185d94f341200025ba3618110c77c&responsibility=c009bbedb3730010700b4d43c6a8dce\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"sysparm_offset\": \"0\",\n    \"sysparm_limit\": \"10\",\n    \"has_more\": false,\n    \"items\": [\n      {\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM0001004\",\n        \"sys_id\": \"3ea014a778de1110f877d304c76fdd0d\",\n        \"state\": {\n          \"value\": \"in_use\",\n          \"display_value\": \"In Use\"\n        },\n        \"consumer\": {\n          \"sys_id\": \"feb5139ab3401010700b4d43c6a8dc43\",\n          \"display_value\": \"Kenny Smith\"\n        },\n        \"product\": {\n          \"sys_id\": \"63c8bc9778921110f877d304c76fdd34\",\n          \"display_value\": \"X4 Sport Utility 4D\"\n        },\n        \"active\": \"true\",\n        \"name\": \"X4 Sport Utility 4D\",\n        \"status\": {\n          \"value\": \"original\",\n          \"display_value\": \"Original\"\n        }\n      },\n      {\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM001003\",\n        \"sys_id\": \"6e94e3c853500010df5dddeeff7b1234\",\n        \"contact\": {\n          \"sys_id\": \"4d147a386f0331003b3c498f5d3ee437\",\n          \"display_value\": \"Julie Lewis\"\n        },\n        \"active\": \"true\",\n        \"configuration_item\": {\n          \"sys_id\": \"a96a570453500010df5dddeeff7b1206\",\n          \"display_value\": \"boxeosandbox\"\n        },\n        \"name\": \"Boxeo - Sandbox\",\n        \"account\": {\n          \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n          \"display_value\": \"Boxeo\"\n        }\n      },\n      {\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM0001010\",\n        \"sys_id\": \"83332fde87e5a1105d0055373cbb3567\",\n        \"contact\": {\n          \"sys_id\": \"ddce70866f9331003b3c498f5d3ee417\",\n          \"display_value\": \"George Warren\"\n        },\n        \"state\": {\n          \"value\": \"in_use\",\n          \"display_value\": \"In Use\"\n        },\n        \"install_date\": {\n          \"value\": \"2023-02-26 18:59:52\",\n          \"display_value\": \"2023-02-26 10:59:52\"\n        },\n        \"health_status\": {\n          \"value\": \"not_available\",\n          \"display_value\": \"Not Available\"\n        },\n        \"product\": {\n          \"sys_id\": \"a9a2d0c3c6112276010db16c5ddd3461\",\n          \"display_value\": \"Lenovo ThinkStation S20\"\n        },\n        \"active\": \"true\",\n        \"configuration_item\": {\n          \"sys_id\": \"affd3c8437201000deeabfc8bcbe5dc3\",\n          \"display_value\": \"*BETH-IBM\"\n        },\n        \"name\": \"IB B2B\",\n        \"location\": {\n          \"sys_id\": \"25ab9c4d0a0a0bb300f7dabdc0ca7c1c\",\n          \"display_value\": \"100 South Charles Street, Baltimore,MD\"\n        },\n        \"asset\": {\n          \"sys_id\": \"bfc1fa8837f3100044e0bfc8bcbe5ddf\",\n          \"display_value\": \"P1000228 - Lenovo ThinkStation S20\"\n        },\n        \"account\": {\n          \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n          \"display_value\": \"Boxeo\"\n        },\n        \"status\": {\n          \"value\": \"original\",\n          \"display_value\": \"Original\"\n        }\n      },\n      {\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM0001011\",\n        \"sys_id\": \"9d766f168729a1105d0055373cbb3597\",\n        \"health_status\": {\n          \"value\": \"not_available\",\n          \"display_value\": \"Not Available\"\n        },\n        \"product\": {\n          \"sys_id\": \"8583ce8237732000158bbfc8bcbe5dd9\",\n          \"display_value\": \"Fujitsu 1TB Hybrid Solid State Drive\"\n        },\n        \"active\": \"true\",\n        \"name\": \"IBA\",\n        \"account\": {\n          \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n          \"display_value\": \"Boxeo\"\n        }\n      },\n      {\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM0001013\",\n        \"sys_id\": \"bd955a2687ada1100b6afc86dabb35fb\",\n        \"health_status\": {\n          \"value\": \"not_available\",\n          \"display_value\": \"Not Available\"\n        },\n        \"consumer\": {\n          \"sys_id\": \"59e788fbdb1b1200b6075200cf9619d2\",\n          \"display_value\": \"Gilly Parker\"\n        },\n        \"product\": {\n          \"sys_id\": \"1a13974053500010df5dddeeff7b122c\",\n          \"display_value\": \"12000XHD Digital Press\"\n        },\n        \"active\": \"true\",\n        \"name\": \"IBConsumer\"\n      },\n      {\n        \"sys_class_name\": \"sn_install_base_item\",\n        \"number\": \"IBITM0000901\",\n        \"sys_id\": \"f77c7542b7343300ece839a6ee11a991\",\n        \"product\": {\n          \"sys_id\": \"8583ce8237732000158bbfc8bcbe5dd9\",\n          \"display_value\": \"Fujitsu 1TB Hybrid Solid State Drive\"\n        },\n        \"active\": \"true\",\n        \"name\": \"KX Series - KX5001\",\n        \"account\": {\n          \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n          \"display_value\": \"Boxeo\"\n        }\n      }\n    ],\n    \"status\": \"SUCCESS\"\n  }\n}\n\n```\n\n## Install Base Item - GET /sn\\_install\\_base/integrations/installbaseitem/\\{id\\}\n\nReturns a specified install base item record and its child hierarchy.\n\n### URL format\n\nVersioned URL: `/api/sn_install_base/{api_version}/integrations/installbaseitem/{id}`\n\nDefault URL: `/api/sn_install_base/integrations/installbaseitem/{id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td id=\"integrate-id-entry\">\n\nSys\\_id of the install base item record.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsys\\_class\\_name\n\n</td><td>\n\nIf the intended record is in a table that extends the Install Base Items \\[sn\\_install\\_base\\_item\\] table, the name of the extended table to query. This table must extend the sn\\_install\\_base\\_item table.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_depth\n\n</td><td>\n\nMaximum depth of the child install base item's hierarchy to return.Data type: Integer\n\nDefault: 7\n\nMaximum: 10\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number records to return in each child hierarchy.Data type: Integer\n\nDefault: 10\n\nMaximum: 100\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|403|Forbidden. The user doesn't have access rights to the specified record.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_fw5_m3f_xwb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nchildinstallbase\n\n</td><td>\n\nList of child install base item records associated with the specified install base item.Data type: Object\n\n```\n\"childinstallbase\": {\n  \"items\": [Array],\n  \"sysparm_depth\": Integer\n}\n```\n\n</td></tr><tr><td>\n\nchildinstallbase.items\n\n</td><td>\n\nChild install base items associated with the specified install base item. The values within this array are defined under the **items\\[\\]** array further down in this section.\n\n</td></tr><tr><td>\n\nchildinstallbase.sysparm\\_depth\n\n</td><td>\n\nChild-level of the install base item.Data type: Integer\n\n</td></tr><tr><td>\n\nerror\n\n</td><td id=\"error-integration-entry\">\n\nDetails about the error that occurred when trying to process the request.Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerror.detail\n\n</td><td id=\"error_detail-integration-entry\">\n\nAdditional details about the associated error.Data type: String\n\n</td></tr><tr><td>\n\nerror.message\n\n</td><td id=\"error_message-integration-entry\">\n\nError message that describes the problem that occurred when trying to execute the request.Data type: String\n\n</td></tr><tr><td>\n\nhas\\_children\n\n</td><td>\n\nFlag that indicates whether the requested install base item record has child install base item records.-   true: Has child install base item records.\n-   false: Doesn't have child install base item records.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nitem\n\n</td><td>\n\nInstall base item that matched the specified filter results.Data type: Object\n\n```\n\"item\": {\n  \"account\": {Object},\n  \"active\": \"String\",\n  \"asset\": {Object},\n  \"configuration_item\": {Object},\n  \"consumer\": {Object},\n  \"consumer_profile\": {Object},\n  \"contact\": {Object},\n  \"health_status\": \"Object\",\n  \"health_status_last_updated\": \"String\",\n  \"household\": {Object},\n  \"install_date\": {Object},\n  \"location\": {Object},\n  \"name\": \"String\",\n  \"number\": \"String\",\n  \"parent\": {Object},\n  \"product\": {Object},\n  \"service_context\": {Object},\n  \"service_organization\" {Object},\n  \"sys_class_name\": \"String\",\n  \"sys_id\": \"String\",\n  \"state\": {Object},\n  \"status\": {Object},\n  \"uninstall_date\": \"String\"\n}\n```\n\n</td></tr><tr id=\"account-integration-row\"><td>\n\nitem.account\n\n</td><td>\n\nDetails about the customer account associated with the install base item record.Data type: Object\n\n```\n\"account\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr id=\"account_display_value-integration-row\"><td>\n\nitem.account.display\\_value\n\n</td><td>\n\nText name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String\n\n</td></tr><tr id=\"account_sys_id-integration-row\"><td>\n\nitem.account.sys\\_id\n\n</td><td>\n\nSys\\_id of the customer account record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"active-integration-row\"><td>\n\nitem.active\n\n</td><td>\n\nFlag that indicates whether the install base item is active.Possible values:\n\n-   true: Install base item is active.\n-   false: Install base item is inactive.\n\nData type: Boolean String\n\n</td></tr><tr><td>\n\nitem.asset\n\n</td><td>\n\nDetails about the asset associated with the install base item record.Data type: Object\n\n```\n\"asset\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.asset.display\\_value\n\n</td><td>\n\nText name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.asset.sys\\_id\n\n</td><td>\n\nSys\\_id of the asset record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.configuration\\_item\n\n</td><td>\n\nDetails about the configuration item associated with the install base item record.Data type: Object\n\n```\n\"configuration_item\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.configuration\\_item.display\\_value\n\n</td><td>\n\nText name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.configuration\\_item.sys\\_id\n\n</td><td>\n\nSys\\_id of the configuration item record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.consumer\n\n</td><td>\n\nDetails about the consumer associated with the install base item record.**Note:** The consumer field is only available if the B2B2C plugin is installed.\n\nData type: Object\n\n```\n\"consumer\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.consumer.display\\_value\n\n</td><td>\n\nText name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.consumer.sys\\_id\n\n</td><td>\n\nSys\\_id of the consumer record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.consumer\\_profile\n\n</td><td>\n\nDetails about the consumer profile associated with the install base item record.**Note:** The consumer profile field is only available if the B2B2C plugin is installed.\n\nData type: Object\n\n```\n\"consumer_profile\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.consumer\\_profile.display\\_value\n\n</td><td>\n\nText name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.consumer\\_profile.sys\\_id\n\n</td><td>\n\nSys\\_id of the consumer profile record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.contact\n\n</td><td>\n\nDetails about the account contact responsible for the install base item record.Data type: Object\n\n```\n\"contact\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.contact.display\\_value\n\n</td><td>\n\nText name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.contact.sys\\_id\n\n</td><td>\n\nSys\\_id of the account contact record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.health\\_status\n\n</td><td>\n\nDetails about the current health status of the install base item. Only returned if the Proactive Customer Service Operations \\(com.snc.proactive\\_cs\\_itom\\) plugin is installed.Data type: Object\n\n```\n\"health_status\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.health\\_status.display\\_value\n\n</td><td>\n\nText string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.health\\_status.value\n\n</td><td>\n\nInternal value of the health status of the install base item.Data type: String\n\n</td></tr><tr><td>\n\nitem.health\\_status\\_last\\_updated\n\n</td><td>\n\nDate and time when the health status was last updated for the install base item.Data type: String\n\n</td></tr><tr><td>\n\nitem.household\n\n</td><td>\n\nDetails about the household associated with the install base item record. Only returned if the Customer Household Data Model \\(com.snc.household\\) plugin is installed.Data type: Object\n\n```\n\"household\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.household.display\\_value\n\n</td><td>\n\nText name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.household.sys\\_id\n\n</td><td>\n\nSys\\_id of the household associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.install\\_date\n\n</td><td>\n\nDetails about the date when the install base item became active.Data type: Object\n\n```\n\"install_date\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.install\\_date.display\\_value\n\n</td><td>\n\nText install date. Use this value to display the install date in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.install\\_date.value\n\n</td><td>\n\nInternal value of the install date.Data type: String\n\n</td></tr><tr><td>\n\nitem.location\n\n</td><td>\n\nDetails about the location of the install base item.Data type: Object\n\n```\n\"location\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.location.display\\_value\n\n</td><td>\n\nText name of the install base item location. Use this value to display the location name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.location.sys\\_id\n\n</td><td>\n\nSys\\_id of the location record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"name-integration-row\"><td>\n\nitem.name\n\n</td><td>\n\nName of the install base item.Data type: String\n\n</td></tr><tr id=\"number-integration-row\"><td>\n\nitem.number\n\n</td><td>\n\nUnique ID of the install base item.Data type: String\n\n</td></tr><tr><td>\n\nitem.parent\n\n</td><td>\n\nDetails about the parent record of the install base item record.Data type: Object\n\n```\n\"parent\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.parent.display\\_value\n\n</td><td>\n\nText name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.parent.sys\\_id\n\n</td><td>\n\nSys\\_id of the parent record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.product\n\n</td><td>\n\nDetails about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object\n\n```\n\"product\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.product.display\\_value\n\n</td><td>\n\nText name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.product.sys\\_id\n\n</td><td>\n\nSys\\_id of the product model record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.service\\_context\n\n</td><td>\n\nDetails about the service context associated with the install base item record.Data type: Object\n\n```\n\"service_context\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.service\\_context.display\\_value\n\n</td><td>\n\nDetails about the service context associated with the install base item record.Data type: Object\n\n```\n\"service_context\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.service\\_context.sys\\_id\n\n</td><td>\n\nSys\\_id of the service context record associated with the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nitem.service\\_organization\n\n</td><td>\n\nDetails about the service organization associated with the install base item record. Only returned if the Service Organization \\(com.snc.service\\_organization\\) plugin is installed.Data type: Object\n\n```\n\"service_organization\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.service\\_organization.display\\_value\n\n</td><td>\n\nText name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.service\\_organization.sys\\_id\n\n</td><td>\n\nSys\\_id of the service organization record associated with the install base item record.Data type: String\n\n</td></tr><tr id=\"sys_class_name-integration-row\"><td>\n\nitem.sys\\_class\\_name\n\n</td><td>\n\nTable containing the install base item record.Data type: String\n\n</td></tr><tr id=\"sys_id-integration-row\"><td>\n\nitem.sys\\_id\n\n</td><td>\n\nSys\\_id of the install base item record. Located in the table specified in the **sys\\_class\\_name** parameter.Data type: String\n\n</td></tr><tr><td>\n\nitem.sys\\_mod\\_count\n\n</td><td>\n\nNumber of times that the associated install base item record has been modified.Data type: String\n\n</td></tr><tr id=\"state-integration-row\"><td>\n\nitem.state\n\n</td><td>\n\nDetails about the current state of the install base item.Data type: Object\n\n```\n\"state\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"state_display_value-integration-row\"><td>\n\nitem.state.display\\_value\n\n</td><td>\n\nText string of the current state of the install base item. Use this value to display the state in the UI.Data type: String\n\n</td></tr><tr id=\"state_value-integration-row\"><td>\n\nitem.state.value\n\n</td><td>\n\nInternal value of the state of the install base item.Data type: String\n\n</td></tr><tr><td>\n\nitem.status\n\n</td><td>\n\nDetails about the status of the install base item.Data type: Object\n\n```\n\"status\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.status.display\\_value\n\n</td><td>\n\nText string of the status of the install base item. Use this value to display the status in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.status.value\n\n</td><td>\n\nInternal value of the status of the install base item.Data type: String\n\n</td></tr><tr><td>\n\nitem.uninstall\\_date\n\n</td><td>\n\nDetails about the date when the install base item became inactive.Data type: Object\n\n```\n\"uninstall_date\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitem.uninstall\\_date.display\\_value\n\n</td><td>\n\nText uninstall date. Use this value to display the uninstall date in the UI.Data type: String\n\n</td></tr><tr><td>\n\nitem.uninstall\\_date.value\n\n</td><td>\n\nInternal value of the uninstall date.Data type: String\n\n</td></tr><tr id=\"status-integration-row\"><td>\n\nstatus\n\n</td><td>\n\nStatus of the endpoint call.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint. The associated install base item doesn't have any children.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitem/f77c7542b7343300ece839a6ee11a991\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"status\": \"SUCCESS\",\n    \"item\": {\n      \"sys_class_name\": \"sn_install_base_item\",\n      \"number\": \"IBITM0000901\",\n      \"sys_id\": \"f77c7542b7343300ece839a6ee11a991\",\n      \"product\": {\n        \"sys_id\": \"8583ce8237732000158bbfc8bcbe5dd9\",\n        \"display_value\": \"Fujitsu 1TB Hybrid Solid State Drive\"\n      },\n      \"active\": \"true\",\n      \"name\": \"KX Series - KX5001\",\n      \"account\": {\n        \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n        \"display_value\": \"Boxeo\"\n      }\n    },\n    \"hasChildren\": \"false\"\n  }\n}\n```\n\n### cURL request\n\nThe following code example shows how to call this endpoint specifying a maximum depth of four child-levels.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/e0a80e4b87b521100b6afc86dabb3565?depth=4\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"status\": \"SUCCESS\",\n    \"item\": {\n      \"sys_class_name\": \"sn_install_base_item\",\n      \"number\": \"IBITM0001073\",\n      \"sys_id\": \"e0a80e4b87b521100b6afc86dabb3565\",\n      \"health_status\": {\n        \"value\": \"not_available\",\n        \"display_value\": \"Not Available\"\n      },\n      \"active\": \"true\",\n      \"name\": \"parent\",\n      \"account\": {\n        \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n        \"display_value\": \"Boxeo\"\n      }\n    },\n    \"hasChildren\": \"true\",\n    \"childinstallbase\": {\n      \"sysparm_depth\": 2,\n      \"items\": [\n        {\n          \"parent\": {\n            \"sys_id\": \"e0a80e4b87b521100b6afc86dabb3565\",\n            \"display_value\": \"parent\"\n          },\n          \"sys_class_name\": \"sn_install_base_item\",\n          \"number\": \"IBITM0001074\",\n          \"sys_id\": \"6db80e4b87b521100b6afc86dabb356b\",\n          \"state\": {\n            \"value\": \"in_use\",\n            \"display_value\": \"In Use\"\n          },\n          \"health_status\": {\n            \"value\": \"not_available\",\n            \"display_value\": \"Not Available\"\n          },\n          \"active\": \"true\",\n          \"name\": \"child1\",\n          \"account\": {\n            \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n            \"display_value\": \"Boxeo\"\n          },\n          \"hasChildren\": \"true\",\n          \"items\": {\n            \"sysparm_depth\": 3,\n            \"items\": [\n              {\n                \"parent\": {\n                  \"sys_id\": \"6db80e4b87b521100b6afc86dabb356b\",\n                  \"display_value\": \"child1\"\n                },\n                \"sys_class_name\": \"sn_install_base_item\",\n                \"number\": \"IBITM0001075\",\n                \"sys_id\": \"36ecce4b87b521100b6afc86dabb3503\",\n                \"health_status\": {\n                  \"value\": \"not_available\",\n                  \"display_value\": \"Not Available\"\n                },\n                \"active\": \"true\",\n                \"name\": \"childL2\",\n                \"account\": {\n                  \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n                  \"display_value\": \"Boxeo\"\n                },\n                \"hasChildren\": \"false\"\n              }\n            ]\n          }\n        }\n      ]\n    }\n  }\n}\n```\n\n## Install Base Item - GET /sn\\_install\\_base/integrations/installbaseitems/\\{id\\}/cases\n\nReturns the cases associated with a specified install base item record.\n\n### URL format\n\nVersioned URL: `/api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/cases`\n\nDefault URL: `/api/sn_install_base/integrations/installbaseitems/{id}/cases`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td id=\"integrate-id-entry\">\n\nSys\\_id of the install base item record.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfield name-value pairs\n\n</td><td>\n\nField-value pairs to use to filter the case records. If you specify a different table in **sys\\_class\\_name**, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.\n\nFor example, to return only records where the approval field is set to \"rejected\" and the category field is set to \"2\", pass the follow: `&approval=rejected&category=2`.\n\nData type: String\n\nTable: Case \\[sn\\_customerservice\\_case\\]\n\nDefault: All fields\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td>\n\nIf using an extended case table \\(not sn\\_customerservice\\_case\\), the name of the extended table to query.Data type: String\n\nDefault: sn\\_customerservice\\_case\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td id=\"sysparm_limit-entry-RESTAPI\">\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm_offset-entry-RESTAPI\">\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|403|Forbidden. The user doesn't have access rights to the specified record.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncases\n\n</td><td>\n\nList of cases associated with the specified install base item record.Data type: Array of Objects\n\n```\n\"cases\": [\n  {\n    \"account\": \"String\",\n    \"active\": Boolean,\n    \"active_account_escalation\": \"String\",\n    \"active_escalation\": \"String\",\n    \"activity_due\": \"String\",\n    \"additional_assignee_list\": \"String\",\n    \"approval\": \"String\",\n    \"approval_history\": \"String\",\n    \"approval_set\": \"String\",\n    \"asset\": \"String\",\n    \"assigned_on\": \"String\",\n    \"assigned_to\": \"String\",\n    \"assignment_group\": \"String\",\n    \"auto_close\": Boolean,\n    \"business_duration\": \"String\",\n    \"business_impact\": \"String\",\n    \"business_service\": \"String\",\n    \"calendar_duration\": \"String\",\n    \"case\": \"String\",\n    \"case_report\": \"String\",\n    \"category\": Number,\n    \"cause\": \"String\",\n    \"caused_by\": \"String\",\n    \"change\": \"String\",\n    \"child_case_creation_progress\": Boolean,\n    \"closed_at\": \"String\",\n    \"closed_by\": \"String\",\n    \"close_notes: \"String\",\n    \"cmdb_ci\": \"String\",\n    \"comments\": \"String\",\n    \"comments_and_work_notes\": \"String\",\n    \"company\": \"String\",\n    \"consumer\": \"String\",\n    \"contact\": \"String\",\n    \"contact_local_time: \"String\",\n    \"contact_time_zone\": \"String\",\n    \"contact_type\": \"String\",\n    \"contract\": \"String\",\n    \"contributor_groups\": \"String\",\n    \"contributor_users\": \"String\",\n    \"correlation_display\": \"String\",\n    \"correlation_id\": \"String\",\n    \"delivery_plan\": \"String\",\n    \"delivery_task\": \"String\",\n    \"description\": \"string\",\n    \"due_date\": \"String\",\n    \"entitlement\": \"String\",\n    \"escalation\": Number,\n    \"expected_start\": \"String\",\n    \"first_response_time\": \"String\",\n    \"follow_the_sun\": Boolean,\n    \"follow_up\": \"String\",\n    \"group_list\": [Array],\n    \"impact\": Number,\n    \"internal_user\": \"String\",\n    \"initiated_as_request\": Boolean,\n    \"knowledge\": Boolean,\n    \"location\": \"String\",\n    \"made_sla\": Boolean,\n    \"major_case_state\": \"String\",\n    \"needs_attention\": Boolean,\n    \"notes_to_comments\": Boolean,\n    \"notify\": Number,\n    \"number\": \"String\",\n    \"opened_at\": \"String\",\n    \"opened_by\": \"String\",\n    \"order\": Number,\n    \"parent\": \"String\",\n    \"partner\": \"String\",\n    \"partner_contact\": \"String\",\n    \"priority\": Number,\n    \"proactive\": Boolean,\n    \"probable_cause\": \"String\",\n    \"problem\": \"String\",\n    \"product\": \"String\",\n    \"reassignment_count\": Number,\n    \"recipient_list\": \"String\",\n    \"rejection_goto\": \"String\",\n    \"resolution_code\": \"String\",\n    \"resolved_at\": \"String\",\n    \"resolved_by\": \"String\",\n    \"route_reason\": \"String\",\n    \"service_offering\": \"String\",\n    \"short_description\": \"String\",\n    \"skills\": \"String\",\n    \"sla_due\": \"String\",\n    \"sn_app_cs_social_social_profile\": \"String\",\n    \"sold_product\": \"String\",\n    \"stage\": \"String\",\n    \"state\": Number,\n    \"subcategory\": Number,\n    \"support_manager\" \"String\",\n    \"sync_driver\": Boolean,\n    \"sys_class_name\": \"String\",\n    \"sys_domain\": \"String\",\n    \"sys_domain_path\": \"String\",\n    \"sys_id\": \"String\",\n    \"task_effective_number\": \"String\",\n    \"time_worked\": \"String\",\n    \"universal_request\": \"String\",\n    \"upon_approval\": \"String\",\n    \"upon_reject\": \"String\",\n    \"urgency\": Number,\n    \"user_input\": \"String\",\n    \"variables\":  \"String\",\n    \"watch_list\": [Array],\n    \"wf_activity\": \"String\",\n    \"work_end\": \"String\",\n    \"work_notes\": \"String\",\n    \"work_notes_list\": [Array],\n    \"work_start\": \"String\"\n```\n\n</td></tr><tr><td>\n\ncases.account\n\n</td><td>\n\nSys\\_id of the account record associated with the case.\n\nData type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\ncases.active\n\n</td><td>\n\nFlag that indicates whether the case is open and active.Possible values:\n\n-   true: Case is active\n-   false: Case is closed\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\ncases.active\\_account\\_escalation\n\n</td><td>\n\nSys\\_id of the active account escalation record associated with the case.Data type: String\n\nTable: Escalation \\[sn\\_customerservice\\_escalation\\]\n\n</td></tr><tr><td>\n\ncases.active\\_escalation\n\n</td><td>\n\nSys\\_id of the active escalation record associated with the case.Data type: String\n\nTable: Escalation \\[sn\\_customerservice\\_escalation\\]\n\n</td></tr><tr><td>\n\ncases.activity\\_due\n\n</td><td>\n\nDate for which the associated case is expected to be completed.Data type: String\n\n</td></tr><tr><td>\n\ncases.additional\\_assignee\\_list\n\n</td><td>\n\nList of the sys\\_ids of the additional persons \\(other than the primary assignee\\) that have been assigned to the account.Data type: Array\n\nMaximum: 4,000\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.approval\n\n</td><td>\n\nString that describes the type of approval required.Possible values:\n\n-   approved\n-   cancelled\n-   duplicate\n-   not\\_required\n-   not requested\n-   rejected\n-   requested\n\nData type: String\n\nMaximum characters: 40\n\nDefault: not requested\n\n</td></tr><tr><td>\n\ncases.approval\\_history\n\n</td><td>\n\nList of all approvals associated with the case.Data type: String\n\nMaximum characters: 4,000\n\n</td></tr><tr><td>\n\ncases.approval\\_set\n\n</td><td>\n\nDate and time that the associated action was approved.Data type: String\n\n</td></tr><tr><td>\n\ncases.asset\n\n</td><td>\n\nSys\\_id of the asset record associated with the case.Data type: String\n\nTable: Asset \\[alm\\_asset\\]\n\n</td></tr><tr><td>\n\ncases.assigned\\_on\n\n</td><td>\n\nDate and time that the case was assigned to the person identified in the **assigned\\_to** parameter.Data type: String \\(Date\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.assigned\\_to\n\n</td><td>\n\nSys\\_id of the person assigned to the case.\n\nTable: User \\[sys\\_user\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\ncases.assignment\\_group\n\n</td><td>\n\nSys\\_id of the customer service agent group assigned to the case.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\ncases.auto\\_close\n\n</td><td>\n\nFlag that indicates whether the case was automatically closed.Possible values:\n\n-   true: Case was auto closed\n-   false: Case wasn't auto closed\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncases.business\\_duration\n\n</td><td>\n\nLength in calendar work hours, work days, and work weeks that it took to complete the case.Data type: String\n\n</td></tr><tr><td>\n\ncases.business\\_impact\n\n</td><td>\n\nImpact of the issue on the associated customer.Data type: String\n\nMaximum characters: 4,000\n\n</td></tr><tr><td>\n\ncases.business\\_service\n\n</td><td>\n\nSys\\_id of the service record associated with the case.Data type: String\n\nTable: Service \\[cmdb\\_ci\\_service\\]\n\n</td></tr><tr><td>\n\ncases.calendar\\_duration\n\n</td><td>\n\nLength in calendar hours, days, and weeks that it took to complete the case.Data type: String \\(Duration\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.case\n\n</td><td>\n\nCase short description and case number.Data type: String\n\nMaximum length: 300\n\n</td></tr><tr><td>\n\ncases.case\\_report\n\n</td><td>\n\nSys\\_id of the associated case report.Data type: String\n\nTable: Case Report \\[sn\\_customerservice\\_case\\_report\\]\n\n</td></tr><tr><td>\n\ncases.category\n\n</td><td>\n\nCase category.Possible values:\n\n-   0: Question\n-   1: Issue\n-   2: Feature\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncases.cause\n\n</td><td>\n\nDetails about the cause of the problem.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.caused\\_by\n\n</td><td>\n\nSys\\_id of the change request that caused the case to be created.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr><tr><td>\n\ncases.change\n\n</td><td>\n\nSys\\_id of the change request that caused the case to be created.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr><tr><td>\n\ncases.child\\_case\\_creation\\_progress\n\n</td><td>\n\nFlag that indicates whether the case is a child case that was created from a major case.Possible values:\n\n-   true: Child case created from a major case\n-   false: Not a child case\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncases.closed\\_at\n\n</td><td>\n\nDate and time that the case was closed.Data type: String\n\n</td></tr><tr><td>\n\ncases.closed\\_by\n\n</td><td>\n\nSys\\_id of the user that closed the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.close\\_notes\n\n</td><td>\n\nNotes made when the case was closed.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.cmdb\\_ci\n\n</td><td>\n\nSys\\_id of the configuration item associated with the case.Data type: String\n\nTable: Configuration Item \\[cmdb\\_ci\\]\n\n</td></tr><tr><td>\n\ncases.comments\n\n</td><td>\n\nAdditional comments about the case.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.comments\\_and\\_work\\_notes\n\n</td><td>\n\nComments and work notes entered for the case.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.company\n\n</td><td>\n\nSys\\_id of the company associated with the case.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\ncases.consumer\n\n</td><td>\n\nBusiness-to-consumer cases only. Sys\\_id of the person to contact with regard to this case.Data type: String\n\nTable: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\ncases.contact\n\n</td><td>\n\nBusiness-to-business based cases only. Sys\\_id of the person to contact regarding this case.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncases.contact\\_local\\_time\n\n</td><td>\n\nContact local time.Data type: String\n\nMaximum length: 70\n\n</td></tr><tr><td>\n\ncases.contact\\_time\\_zone\n\n</td><td>\n\nTime zone of the contact associated with the case.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.contact\\_type\n\n</td><td>\n\nMethod in which the case was initially reported.Possible values:\n\n-   chat\n-   email\n-   phone\n-   social\n-   web\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.contract\n\n</td><td>\n\nSys\\_id of the contract associated with the case. This contract contains information about the type of support that is provided to the company associated to the case. A contract can include a company and contact and the specific assets that are covered. A contract can also include multiple service entitlements and SLAs.Data type: String\n\nTable: Contract \\[ast\\_contract\\]\n\n</td></tr><tr><td>\n\ncases.contributor\\_groups\n\n</td><td>\n\nList of sys\\_ids of the user groups that have contributed to the case.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\ncases.contributor\\_users\n\n</td><td>\n\nList of sys\\_ids of the users that have contributed to the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.correlation\\_display\n\n</td><td>\n\nCorrelation display.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ncases.correlation\\_id\n\n</td><td>\n\nCorrelation identifier.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ncases.delivery\\_plan\n\n</td><td>\n\nSys\\_id of the parent execution plan for this case.Data type: String\n\nTable: Execution Plan \\[sc\\_cat\\_item\\_delivery\\_plan\\]\n\n</td></tr><tr><td>\n\ncases.delivery\\_task\n\n</td><td>\n\nSys\\_id of the execution plan task.Data type: String\n\nTable: Execution Plan Task \\[sc\\_cat\\_item\\_delivery\\_task\\]\n\n</td></tr><tr><td>\n\ncases.description\n\n</td><td>\n\nDetailed description of the problem associated with the case. Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.due\\_date\n\n</td><td>\n\nDate that the case is due to be closed.Data type: String\n\n</td></tr><tr><td>\n\ncases.entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the case. Entitlements define the type of support that a customer receives as well as the supported communication channels. An entitlement can be associated with a product, an asset, an account, or a contract.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\ncases.escalation\n\n</td><td>\n\nCurrent escalation level.Possible values:\n\n-   0: Normal\n-   1: Moderate\n-   2: High\n-   3: Overdue\n\nData type: Number \\(Integer\\)\n\nDefault: 0\n\n</td></tr><tr><td>\n\ncases.expected\\_start\n\n</td><td>\n\nDate and time when work is scheduled to begin on the case.Data type: String\n\n</td></tr><tr><td>\n\ncases.first\\_response\\_time\n\n</td><td>\n\nDate and time when the first action was taken on the case.Data type: String\n\n</td></tr><tr><td>\n\ncases.follow\\_the\\_sun\n\n</td><td>\n\nFlag that indicates whether the case should be handed-off for global follow-up.If a customer enters additional comments on a Priority 1 - Critical or a Priority 2 - High case, or if the case is escalated, the flag is automatically set to true.\n\nPossible values:\n\n-   true: Case should be handed-off for global follow-up\n-   false: Case shouldn't be handed-off for global follow-up\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncases.follow\\_up\n\n</td><td>\n\nDate and time of the next follow-up action.Data type: String\n\n</td></tr><tr><td>\n\ncases.group\\_list\n\n</td><td>\n\nList of sys\\_ids of the group records associated with the case.Data type: Array\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\ncases.impact\n\n</td><td>\n\nImpact on customer.Possible values:\n\n-   1: High\n-   2: Medium\n-   3: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 3\n\n</td></tr><tr><td>\n\ncases.internal\\_user\n\n</td><td>\n\nSys\\_id of the internal user for this case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.initiated\\_as\\_request\n\n</td><td>\n\nFlag that indicates if this inquiry was initiated as a request by the customer.Possible values:\n\n-   true: Inquiry initiated by customer.\n-   false: Inquiry wasn't initiated by customer.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncases.knowledge\n\n</td><td>\n\nFlag that indicates if there is a knowledge base article available for the specified issue.Possible values:\n\n-   true: Knowledge base article is available for this issue\n-   false: Knowledge base article is not available for this issue\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncases.location\n\n</td><td>\n\nSys\\_id of the record describing the company location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\ncases.made\\_sla\n\n</td><td>\n\nFlag that indicates whether the case was resolved in alignment with the associated service level agreement.Possible values:\n\n-   true: Case was resolved in alignment with SLA\n-   false: Case wasn't resolved according to the SLA\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\ncases.major\\_case\\_state\n\n</td><td>\n\nCurrent state of the major case.Possible values:\n\n-   accepted: Initial state when a manager creates a major case or when a manager promotes a candidate case.\n-   canceled: Case is canceled.\n-   proposed: Initial state when an agent or manager creates or proposes a candidate case.\n-   rejected: Manager rejected candidate case.\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nneeds\\_attention\n\n</td><td>\n\nFlag that indicates whether the case needs attention.Possible values:\n\n-   true: Case needs additional attention\n-   false: Case doesn't need additional attention\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncases.notes\\_to\\_comments\n\n</td><td>\n\nFlag that indicates whether to add the resolution notes to the comments.Possible values:\n\n-   true: Resolutions notes, when added, are also added to the comments\n-   false: Resolution notes in comments aren't required\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncases.notify\n\n</td><td>\n\nMethod to use to notify contact/consumer.Possible values:\n\n-   1: Do not notify\n-   2: Send email\n-   3: Telephone\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncases.number\n\n</td><td>\n\nCase number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.opened\\_at\n\n</td><td>\n\nDate and time that the case was opened.Data type: String\n\n</td></tr><tr><td>\n\ncases.opened\\_by\n\n</td><td>\n\nSys\\_id of the person that initially opened the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.order\n\n</td><td>\n\nOrder of the case.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\ncases.parent\n\n</td><td>\n\nSys\\_id of the parent case to which this case \\(child\\) is associated.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr><td>\n\ncases.partner\n\n</td><td>\n\nSys\\_id of the partner associated with the case.Data type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\ncases.partner\\_contact\n\n</td><td>\n\nSys\\_id of the partner contact associated with the case.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncases.priority\n\n</td><td>\n\nPriority of the case. Possible values:\n\n-   1: Critical\n-   2: High\n-   3: Moderate\n-   4: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 4\n\n</td></tr><tr><td>\n\ncases.proactive\n\n</td><td>\n\nFlag that indicates whether the inquiry is being proactively monitored.Possible values:\n\n-   true: Being proactively monitored.\n-   false: Not being monitored.\n\nData type: Boolean\n\nDefault:false\n\n</td></tr><tr><td>\n\ncases.probable\\_cause\n\n</td><td>\n\nPossible cause of the issue associated with the case.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.problem\n\n</td><td>\n\nSys\\_id of the issue that the customer is encountering.Data type: String\n\nTable: Problem \\[problem\\]\n\n</td></tr><tr><td>\n\ncases.product\n\n</td><td>\n\nSys\\_id of the product model of the asset associated to the case. A model is a specific version or configuration of an asset \\(for example, Apple Mac Book Pro\\).Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\ncases.reassignment\\_count\n\n</td><td>\n\nNumber of times that the case was reassigned to a person that is responsible for moving the case forward.Data type: Number \\(Integer\\)\n\nDefault: 0\n\n</td></tr><tr><td>\n\ncases.recipient\\_list\n\n</td><td>\n\nSys\\_id of the record that contains the list of recipients for communications about this case.Data type: String\n\nTable: Recipients List \\[sn\\_publications\\_recipients\\_list\\]\n\n</td></tr><tr><td>\n\ncases.rejection\\_goto\n\n</td><td>\n\nSys\\_id of the task to execute if the case is rejected.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr><td>\n\ncases.resolution\\_code\n\n</td><td>\n\nResolution state for the case, such as \"Solved - Fixed by Support/Guidance provided\". Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.resolved\\_at\n\n</td><td>\n\nDate and time that the case was resolved.Data type: String\n\n</td></tr><tr><td>\n\ncases.resolved\\_by\n\n</td><td>\n\nSys\\_id of the person that resolved the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.route\\_reason\n\n</td><td>\n\nReason that the case was routed to a different assignee.Data type: Number \\(Integer\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.service\\_offering\n\n</td><td>\n\nSys\\_id of the service offering associated with the payment inquiry. Service offerings uniquely define the level of service in terms of availability, scope, pricing, and packaging options.Data type: String\n\nTable: Service Offering \\[service\\_offering\\]\n\n</td></tr><tr><td>\n\ncases.short\\_description\n\n</td><td>\n\nConcise description of the case. Data type: String\n\nMaximum length: 160\n\n</td></tr><tr><td>\n\ncases.skills\n\n</td><td>\n\nList of the unique identifiers \\(sys\\_id\\) of the skills needed to complete the case.Data type: String\n\nTable: Skill \\[cmn\\_skill\\]\n\n</td></tr><tr><td>\n\ncases.sla\\_due\n\n</td><td>\n\nDate/time at which the case must be closed based on the associated service level agreement.Data type: String\n\n</td></tr><tr><td>\n\ncases.sn\\_app\\_cs\\_social\\_social\\_profile\n\n</td><td>\n\nSys\\_id of the social media profile associated with the case.Data type: String\n\nTable: Social Profile \\[sn\\_app\\_cs\\_social\\_social\\_profile\\]\n\n</td></tr><tr><td>\n\ncases.sold\\_product\n\n</td><td>\n\nSys\\_id of the associated product.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\ncases.stage\n\n</td><td>\n\nStage of the inquiry, such as Closed Complete, Closed Rejected, Document Check, Authorization, and so on.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.state\n\n</td><td>\n\nCurrent state of the case.Possible values:\n\n-   1: New\n-   3: Closed\n-   6: Resolved\n-   10: Open\n-   18: Awaiting Info\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncases.subcategory\n\n</td><td>\n\nCase subcategory.Possible values:\n\n0: QuestionData type: Number \\(Integer\\)\n\nDefault: 0\n\n</td></tr><tr><td>\n\ncases.support\\_manager\n\n</td><td>\n\nSys\\_id of the CSM manager assigned to the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.sync\\_driver\n\n</td><td>\n\nFlag that indicates whether there's driver synchronization.Possible values:\n\n-   true: Driver is synchronized\n-   false: Driver isn't synchronized\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ncases.sys\\_class\\_name\n\n</td><td>\n\nTable that contains the case record.Data type: String\n\nMaximum length: 80\n\n</td></tr><tr><td>\n\ncases.sys\\_domain\n\n</td><td>\n\nDomain associated with the case.Data type: String\n\nMaximum length: 32\n\nDefault: global\n\n</td></tr><tr><td>\n\ncases.sys\\_domain\\_path\n\n</td><td>\n\nDomain path.Data type: String\n\nMaximum length: 255\n\nDefault: /\n\n</td></tr><tr><td>\n\ncases.sys\\_id\n\n</td><td>\n\nUnique identifier for the case.Data type: String\n\nMaximum length: 32\n\n</td></tr><tr><td>\n\ncases.task\\_effective\\_number\n\n</td><td>\n\nIdentifying number. If the task has a Universal Request associated with it, it's the UR number. Otherwise, it's the current task number.\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.time\\_worked\n\n</td><td>\n\nTotal amount of time worked on the case.Data type: String\n\n</td></tr><tr><td>\n\ncases.universal\\_request\n\n</td><td>\n\nSys\\_id of a universal task that this inquiry is part of.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr><td>\n\ncases.upon\\_approval\n\n</td><td>\n\nAction to take if the case is approved.Possible values:\n\n-   do\\_nothing\n-   proceed\n\nData type: String\n\nMaximum length: 40\n\nDefault: proceed\n\n</td></tr><tr><td>\n\ncases.upon\\_reject\n\n</td><td>\n\nAction to take if the case is rejected.Possible values:\n\n-   cancel\n-   goto\n\nData type: String\n\nMaximum length: 40\n\nDefault: cancel\n\n</td></tr><tr><td>\n\ncases.urgency\n\n</td><td>\n\nUrgency of the case.Possible values:\n\n-   1: High\n-   2: Medium\n-   3: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 3\n\n</td></tr><tr><td>\n\ncases.user\\_input\n\n</td><td>\n\nAdditional user input.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.variables\n\n</td><td>\n\nName-value pairs of variables associated with the case.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncases.watch\\_list\n\n</td><td>\n\nList of sys\\_ids of the users who receive notifications about this case when additional comments are added or if the state of a case is changed to Resolved or Closed.Data type: Array\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.wf\\_activity\n\n</td><td>\n\nSys\\_id of the workflow activity record associated with the case.Data type: String\n\nTable: Workflow Activity \\[wf\\_activity\\]\n\n</td></tr><tr><td>\n\ncases.work\\_end\n\n</td><td>\n\nDate and time work ended on the case.Data type: String\n\n</td></tr><tr><td>\n\ncases.work\\_notes\n\n</td><td>\n\nInformation about how to resolve the case, or steps taken to resolve it.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncases.work\\_notes\\_list\n\n</td><td>\n\nList of sys\\_ids of the internal users who receive notifications about this case when work notes are added.Data type: Array\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncases.work\\_start\n\n</td><td>\n\nDate and time that work started on the case.Data type: String\n\n</td></tr><tr><td>\n\nhas\\_more\n\n</td><td id=\"has_more-integration-entry\">\n\nFlag that indicates whether there are more records in the table to return.Possible values:\n\n-   true: More records to return.\n-   false: No more records to return.\n\nData type: Boolean string\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td id=\"status-integration-entry\">\n\nStatus of the endpoint call.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td id=\"sysparm-limit-entry\">\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval.\n\nIn the response, the boolean parameter **hasMore** is returned. It indicates whether there are more records to return that meet the filter criteria.\n\nData type: Number\n\nDefault: 10\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm-offset-entry\">\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.\n\nFor example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDo not pass a negative number in the **sysparm\\_offset** parameter.\n\nData type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/1474a3c853500010df5dddeeff7b12ec/cases\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"sysparm_offset\": 0,\n    \"sysparm_limit\": 10,\n    \"has_more\": false,\n    \"cases\": [\n      {\n        \"upon_reject\": {\n          \"value\": \"cancel\",\n          \"display_value\": \"Cancel all future Tasks\"\n        },\n        \"number\": \"CS0001034\",\n        \"initiated_as_request\": \"0\",\n        \"state\": \"1\",\n        \"case\": \"Performance is impacted with latest update​CS0001034\",\n        \"knowledge\": \"0\",\n        \"impact\": \"3\",\n        \"contract\": {\n          \"sys_id\": \"495e16b96f0731003b3c498f5d3ee4af\",\n          \"display_value\": \"CNTR0000603\"\n
[...]
